CustomersCustomers
List customer addresses
Lists a customer's saved addresses and identifies the current default.
GET
/v1/customers/{customerId}/addressesLists a customer's saved addresses and identifies the current default.
Authorization
bearerAuth AuthorizationBearer <token>
OAuth2 access token issued by Ecomiq Auth.
In: header
Path Parameters
customerId*string
Identifier of the customer.
Header Parameters
Response Body
application/json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
curl -X GET "https://example.com/v1/customers/7204558912004325301/addresses" \ -H "Authorization: Bearer <token>"[ { "id": "7204558912004325301", "addressKey": "example", "department": "example", "addressNumber": "example", "province": "example", "district": "example", "phone": "+51987654321", "cellPhone": "+51987654321", "addressLine": "example", "reference": "example", "countryIsoCode": "example_code", "postalCode": "example_code", "latitude": 1, "longitude": 1, "hasCoordinates": false, "isDefault": false }]